
QGIS Application - Bug report #590

labels in map composer located wrong and printed bad

2007-02-13 07:37 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10649

Description

SVN 6540, QT 4.2.2

As the title reads. See the linked screendumps.

that's how the project looks, and how I'd like it to be printed:

http://kufaya.googlepages.com/project.png

that's how it looks in the composer:

http://kufaya.googlepages.com/composer.png

Pay attention to labels 3, 13, 14 especially - although in QGIS project they are located within the polygons, in the map composer they are

overlapping polygon's edges.

and that's what you get after printing:

http://kufaya.googlepages.com/print_to_raster.png

Label 13 moved from far right to close left, labels are huge (that's maybe related to bug #548), there is a noise around each label instead

of the 1 pixel buffor as I specified in the label properties. BTW, please also look at the the way the polygon's fill patterns are rendered -

bug #454.

Maciek

History

#1 - 2007-02-25 07:35 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release

#2 - 2007-05-31 10:36 AM - pcavallini -

I think the

trouble is causes by some scaling factor the original print composer dev

was forced to use because of a qt3 bug. Now with qt4 the scaling should

no longer be necessary, and it is probably causing the problem.

I do not think it should be too hard to fix it, and it would greatly

improve the usability of qgis.
#3 - 2007-08-31 05:39 AM - leo-lami -

The labels are also more little than in the canvas.

#4 - 2008-03-12 07:12 AM - leolami -

A bug is present also in the rappresentation of the label buffers (buffer multiplied) in the printed image

#5 - 2008-09-07 03:36 AM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

I think this is fixed with recent changes. Please reopen this bug if you think it's not.

Marco

#6 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
